Page MenuHomePhabricator

[Regression wmf.9] Non-promoted items from Insert menu are missing on Wikisources/Wikivoyages/etc.
Closed, ResolvedPublic8 Story Points

Description

Dunno if this has to do with recent work around the Insert menu.
Reported at https://www.mediawiki.org/wiki/Topic:T7b8mom2v9jzyopr .

Shouldn't there be more stuff in the Insert menu than just the above-the-scroll items and the references?
Here's what I'm seeing right now:


For example, I distinctly recall the Map feature being present there a few months ago, and now it seems to be missing.

Event Timeline

Elitre created this task.Jul 8 2016, 9:48 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 8 2016, 9:48 AM

I think this is a bug in the "move Cite to the insert menu" code. @Krenair

Krenair edited subscribers, added: AlexMonk-WMF; removed: Krenair.Jul 9 2016, 7:20 PM
Jdforrester-WMF renamed this task from Insert - Page missing from Wikisource? to [Regression] Non-promoted items from Insert menu are missing on Wikisources/Wikivoyages/etc..Jul 11 2016, 6:31 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as Unbreak Now! priority.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added subscribers: Luke081515, TerraCodes. · View Herald TranscriptJul 11 2016, 6:31 PM

Change 298141 had a related patch set uploaded (by Jforrester):
Use 'demote' only to move cite tools to insert group

https://gerrit.wikimedia.org/r/298141

Change 298143 had a related patch set uploaded (by Jforrester):
Unregister cite tools when Citoid is present

https://gerrit.wikimedia.org/r/298143

Izno moved this task from Unsorted backlog to External on the Cite board.Jul 12 2016, 2:07 PM

Change 298141 merged by jenkins-bot:
Use 'demote' only to move cite tools to insert group

https://gerrit.wikimedia.org/r/298141

Change 298626 had a related patch set uploaded (by Jforrester):
Use 'demote' only to move cite tools to insert group

https://gerrit.wikimedia.org/r/298626

Jdforrester-WMF renamed this task from [Regression] Non-promoted items from Insert menu are missing on Wikisources/Wikivoyages/etc. to [Regression wmf.9] Non-promoted items from Insert menu are missing on Wikisources/Wikivoyages/etc..Jul 12 2016, 8:58 PM
Jdforrester-WMF added a project: Regression.
Jdforrester-WMF closed this task as Resolved.Jul 13 2016, 5:25 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This is fixed in wmf.10 and wasn't present in wmf.8, and wmf.9 isn't going to go back out to production, so I'm declaring it fixed.

Change 298626 abandoned by Jforrester:
Use 'demote' only to move cite tools to insert group

Reason:
Train's departed, sonny.

https://gerrit.wikimedia.org/r/298626